Graphs
Graphs
GET /api/v1/graphs
Get Graphs
Response
Type: []Graph
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
kind | string | “property”, “knowledge”, “social”, “network”, etc. |
config | string | JSON config for graph-specific settings |
schema_config | string | Node/edge type definitions |
versions | []GraphVersion |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/graphsPOST /api/v1/graphs
Create Graph
Response
Type: Graph
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
kind | string | “property”, “knowledge”, “social”, “network”, etc. |
config | string | JSON config for graph-specific settings |
schema_config | string | Node/edge type definitions |
versions | []GraphVersion |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/graphsGET /api/v1/graphs/{id}
Get Graph
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: Graph
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
kind | string | “property”, “knowledge”, “social”, “network”, etc. |
config | string | JSON config for graph-specific settings |
schema_config | string | Node/edge type definitions |
versions | []GraphVersion |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/graphs/{id}PUT /api/v1/graphs/{id}
Update Graph
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: Graph
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
kind | string | “property”, “knowledge”, “social”, “network”, etc. |
config | string | JSON config for graph-specific settings |
schema_config | string | Node/edge type definitions |
versions | []GraphVersion |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/graphs/{id}DELETE /api/v1/graphs/{id}
Delete Graph
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/graphs/{id}GET /api/v1/graphs/{id}/logo
Get Graph Logo
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/graphs/{id}/logoGET /api/v1/graphs/{id}/stats
Get Graph Stats
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: map[string]interface{}
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/graphs/{id}/statsPOST /api/v1/graphs/{id}/upload
Create Graph Logo
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: Graph
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
kind | string | “property”, “knowledge”, “social”, “network”, etc. |
config | string | JSON config for graph-specific settings |
schema_config | string | Node/edge type definitions |
versions | []GraphVersion |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/graphs/{id}/upload